<!--

    Copyright 2018 Scytl Secure Electronic Voting SA

    All rights reserved

    See our extended copyright notice in *file 'Copyright.txt' which is part of this source code package

-->
<assembly xmlns="http://maven.apache.org/plugins/maven-assembly-plugin/assembly/1.1.2" 
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://maven.apache.org/plugins/maven-assembly-plugin/assembly/1.1.2 http://maven.apache.org/xsd/assembly-1.1.2.xsd">
  <id>files</id>
  <formats>
    <format>zip</format>
  </formats>
  <includeBaseDirectory>false</includeBaseDirectory>
  <fileSets>
    <fileSet>
      <directory>${project.basedir}/dist/</directory>
      <includes>
        <include>*.js*</include>
      </includes>
      <outputDirectory>.</outputDirectory>
    </fileSet>
    <fileSet>
      <directory>${project.basedir}/dist/doc/src/</directory>
      <includes>
        <include>*.js*</include>
      </includes>
      <outputDirectory>doc/src</outputDirectory>
    </fileSet>
    <fileSet>
      <directory>${project.basedir}/dist/doc/api-reference/</directory>
      <includes>
        <include>**</include>
      </includes>
      <outputDirectory>doc/</outputDirectory>
    </fileSet>
  </fileSets>
</assembly>
